@import "./parts/fonts.css";
@import "./parts/variables.css";
@import "./parts/header.css";
@import "./parts/footer.css";
@import "./parts/gallery.css";
@import "./parts/project-snippet.css";
@import "./parts/components.css";
@import "./parts/home-hero.css";
@import "./parts/home-intro.css";
@import "./parts/project-nav-bar.css";
@import "./parts/project-section.css";
@import "./parts/project-type-carousel.css";
@import "./parts/division-snippet.css";
@import "./parts/humanity-template.css";
@import "./parts/about-template.css";
@import "./parts/contact.css";
@import "./parts/ig-feed.css";
@import "./parts/client-logos.css";

html {
  scroll-behavior: smooth;
}

html:has(.division-nav) {
  scroll-behavior: auto;
}

body {
  margin: 0px;

  font-family: var(--font-primary);
}

.__font-thin {
  font-weight: var(--fw-thin);
}

.__font-light {
  font-weight: var(--fw-light);
}

.__font-normal {
  font-weight: var(--fw-normal);
}

.__font-bold {
  font-weight: var(--fw-bold);
}

h1,
h2,
h3,
h4 {
  margin: 0px 0px 0.5rem 0px;
}

p {
  margin-block: 0px 1rem;
}

h3,
h1,
.text-h3 {
  font-size: var(--fs-h3);
  font-weight: var(--fw-normal);
}

h4,
.text-h4 {
  font-size: var(--fs-h4);
  font-weight: var(--fw-normal);
}

p,
span,
body .text-body,
.btn-label {
  font-size: var(--fs-body);
}

.text-caption {
  font-size: var(--fs-caption) !important;
}

a {
  color: var(--hg-black);
}
